# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Kelp/Base.pm) perl(Kelp/Module/Template/Xslate.pm) perl(Kelp/Test.pm) perl(Test/CPAN/Meta.pm) perl(Test/CPAN/Meta/JSON.pm) perl(Test/EOL.pm) perl(Test/Fixme.pm) perl(Test/MinimumVersion.pm) perl(Test/More.pm) perl(Test/NoTabs.pm) perl(Test/PAUSE/Permissions.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Text/Xslate.pm)
# END SourceDeps(oneline)
%define module_name Kelp-Module-Template-XslateTT
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.002
Release: alt1
Summary: process .tt files with Text::Xslate
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Kelp::Module::Template::XslateTT is a drop-in replacement for Template-Tiny and Template-Toolkit engines in Kelp.
It allows to use faster Xslate template engine without modifying your templates, renaming files, or changing the code.
All you need is changing a few lines in your Kelp config file.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE
%perl_vendor_privlib/K*

%changelog
* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 1.002-alt1
- initial import by package builder

